net.fortuna.ical4j.util

## Class DefaultDecoderFactory

- java.lang.Object
- - net.fortuna.ical4j.util.DecoderFactory
  - - net.fortuna.ical4j.util.DefaultDecoderFactory

    public class DefaultDecoderFactory
    extends DecoderFactory

Default decoder factory implementation. $Id$ Created on 13/05/2006

Author:
  Ben Fortuna

### Field Summary

### Fields inherited from class net.fortuna.ical4j.util.DecoderFactory

`KEY_FACTORY_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`DefaultDecoderFactory()`

### Method Summary

Methods
`org.apache.commons.codec.BinaryDecoder` `createBinaryDecoder(Encoding encoding)` Returns a new `BinaryDecoder` for the specified encoding.
`org.apache.commons.codec.StringDecoder` `createStringDecoder(Encoding encoding)` Returns a new `StringDecoder` for the specified encoding.

### Methods inherited from class net.fortuna.ical4j.util.DecoderFactory

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultDecoderFactory

    public DefaultDecoderFactory()

### Method Detail

#### createBinaryDecoder

    public org.apache.commons.codec.BinaryDecoder createBinaryDecoder(Encoding encoding)
                                                               throws UnsupportedEncodingException

Returns a new `BinaryDecoder` for the specified encoding.

Specified by:
  `createBinaryDecoder` in class `DecoderFactory`
Parameters:
  `encoding` - an encoding type
Returns:
  a `BinaryDecoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

#### createStringDecoder

    public org.apache.commons.codec.StringDecoder createStringDecoder(Encoding encoding)
                                                               throws UnsupportedEncodingException

Returns a new `StringDecoder` for the specified encoding.

Specified by:
  `createStringDecoder` in class `DecoderFactory`
Parameters:
  `encoding` - an encoding type
Returns:
  a `StringDecoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.